#include <stdio.h>
#include <stdlib.h>

void dummy_increment(int a, int b);
void increment(int *a, int *b);

int main()
{
	int a = 0;
	int b = 1;

	dummy_increment(a, b);
	printf("dummy_increment:\ta = %d b = %d\n", a, b);
	increment(&a, &b);
	printf("increment:\t\ta = %d b = %d\n", a, b);

	return EXIT_SUCCESS;
}

void dummy_increment(int a, int b)
{
	a++;
	b++;
}


void increment(int *a, int *b)
{
	/* importante: le parentesi sono necessarie perche` gli operatori unari * e ++
	 * sono associativi da destra a sinistra (il compilatore _NON_ da` errore)
	 */
	(*a)++;
	(*b)++;
}



