#include <stdio.h>
#include <stdlib.h>

#include "rettangoli.h" /* deve essere nella stessa cartella! */

void leggi_rettangoli(struct rect *r1, struct rect *r2)
{
	printf("inserisci x1,y1, x2,y2 del primo rettangolo: ");
	scanf("%d %d %d %d", &(*r1).p1.x, &(*r1).p1.y, &(*r1).p2.x, &(*r1).p2.y);

	printf("inserisci x1,y1, x2,y2 del secondo rettangolo: ");
	scanf("%d %d %d %d", &(*r2).p1.x, &(*r2).p1.y, &(*r2).p2.x, &(*r2).p2.y);

}

/* restituisce > 0 se r2 e` contenuto in r1 */
int contiene(struct rect r1, struct rect r2)
{
	return r2.p1.x >= r1.p1.x && r2.p1.y >= r1.p1.y && r2.p2.x < r1.p2.x && r2.p2.y < r1.p2.y;
}

struct rect forma_canonica(struct rect r)
{
	struct rect canonrect = r;
	if(r.p1.x > r.p2.x)
	{
		canonrect.p2.x = r.p1.x;
		canonrect.p1.x = r.p2.x;
	}
	if(r.p1.y > r.p2.y)
	{
		canonrect.p1.y = r.p2.y;
		canonrect.p2.y = r.p1.y;
	}
	return canonrect;
}


