#include <stdio.h>
#include <stdlib.h>
#include "rettangoli.h"

int main()
{
        struct rect r1, r2;
        int i;

        /* chiediamo all'utente di inserire i rettangoli */
        leggi_rettangoli(&r1, &r2);

        printf("rettangolo r1 in forma non canonica: p1(%d,%d) p2(%d,%d)\n",  r1.p1.x, r1.p1.y, r1.p2.x, r1.p2.y);
        printf("rettangolo r2 in forma non canonica: p1(%d,%d) p2(%d,%d)\n",  r2.p1.x, r2.p1.y, r2.p2.x, r2.p2.y);
        /* trasformiamo i rettangoli in forma canonica, se necessario. Cioe` con il primo punto
         * in basso a sinistra e il secondo in alto a destra.
         * Per comodita`, salviamo i due rettangoli in un vettore e sfruttiamo un ciclo for
         * per evitare di duplicare il codice per ogni rettangolo.
         */
        r1 = forma_canonica(r1);
        r2 = forma_canonica(r2);

        printf("rettangolo r1 in forma canonica: p1(%d,%d) p2(%d,%d)\n",  r1.p1.x, r1.p1.y, r1.p2.x, r1.p2.y);
        printf("rettangolo r2 in forma canonica: p1(%d,%d) p2(%d,%d)\n",  r2.p1.x, r2.p1.y, r2.p2.x, r2.p2.y);

        /* vediamo se r2 e` contenuto in r1 */
        if(contiene(r1, r2))
                printf("r2 contenuto in r1\n");
        else
                printf("r2 non e` contenuto in r1\n");

        return EXIT_SUCCESS;
}

