
/* Calcolo della funzione seno mediante sviluppo in serie */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

long int fatt (int n);

int main()
{
   double x, sinx, precisione, termine_corrente;
   int i, segno;

   printf ("Inserire x: ");
   scanf ("%lf", &x);

   printf ("Precisione richiesta: ");
   scanf ("%lf", &precisione);

   sinx = 0;
   i = 1;
   segno = 1;

   do
   {
      /* calcola il prossimo termine della serie */
      termine_corrente = segno * pow (x, i) / fatt (i);

      /* aggiorna il risultato */
      sinx = sinx + termine_corrente;

      /* passa al termine successivo */
      i = i + 2;
      segno = -segno;

   } while (fabs (termine_corrente) > precisione);

   printf ("sin(%lf) = %lf\n", x, sinx);

   return EXIT_SUCCESS;
}


long int fatt (int n)
{
   int i;
   long int nfatt;

   if (n > 13)
   {
      printf ("La funzione fattoriale con n > 13 genera overflow\n");
      exit (EXIT_FAILURE);
   }

   i = 1;
   nfatt = 1;
   while (i <= n)
   {
      nfatt = nfatt * i;
      i++;
   }

   return nfatt;
}
