#include <stdio.h>
#include <stdlib.h>
#include <string.h> /* for strlen(), not for fgets */

#define MAXLINELEN 128

void replace(char s[], char trova, char sost);

int main()
{
	char trova;
	char sostituisci;
	char s[MAXLINELEN];

	printf("Inserisci il carattere da sostituire: ");
	scanf("%c", &trova);
	while(getchar() != '\n')
		{ /* svuota buffer tastiera */ }

	printf("Inserisci il nuovo carattere: ");
	scanf("%c", &sostituisci);
	/* di nuovo, svuota buffer tastiera */
	/* NOTA il ';' dopo il while e` voluto: prende tutti i caratteri rimasti nel buffer fino a quando trova 
	 * il carattere di newline. A quel punto il buffer della tastiera e` vuoto.
	 */
	while(getchar() != '\n');
	printf("Inserisci la frase: ");
	fgets(s, MAXLINELEN, stdin);
	/* rimuovo \n in coda: fgets cattura sicuramente il newline, quindi e` sicuro accedere alla locazione
	 * strlen(s) - 1.
	 */
	s[strlen(s) - 1] = '\0'; /* in pratica ho accorciato la stringa di 1 carattere, terminandola prima */
	replace(s, trova, sostituisci);
	printf("\"%s\"\n", s);
}


void replace(char s[], char trova, char sost)
{
	int i = 0;
	for(i = 0; s[i] != '\0'; i++)
	{
		if(s[i] == trova)
			s[i] = sost;
	}
}

